function onBegin()
	disableMovement()
	disableRetry()
	if not getFlag("warrior_noeyes") then
		playSound("event:/CC/CC_HollowKnight/SFX/Scene/HeroDreamNailSlash",player.Position)
		player.DummyAutoAnimate = false
		player.Sprite:Play("dreamNail")
		wait(1.45)
		setFlag("warrior_noeyes",true)
		wait(0.3)
		setFlag("warrior_noeyes2",true)
		playMusic("event:/none")
	else
		say("CC_XELKHK_WarriorDone")
	end
end

function onEnd()
	setFlag("warrior_noeyes",true)
	setFlag("NoEyes",true)
	enableMovement()
	enableRetry()
	playMusic("event:/none")
end